Name: libssh2
Version: 1.4.3
Release: alt3.M80P.1

Summary: A library implementing the SSH2 protocol
Group: Networking/Remote access
License: BSD
Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>
Url: http://www.libssh2.org/
# http://downloads.sourceforge.net/%name/%name-%version.tar.gz
Source: %name-%version.tar
BuildRequires: openssl-devel zlib-devel man

Patch1:  CVE-2015-1782.patch
Patch2:  0004-CVE-2016-0787.patch
Patch3:  CVE-2019-3855.patch
Patch4:  CVE-2019-3856.patch
Patch5:  CVE-2019-3857+3863-pre1.patch
Patch6:  CVE-2019-3857.patch
Patch7:  CVE-2019-3858.patch
Patch8:  CVE-2019-3862.patch
Patch9:  CVE-2019-3863.patch
Patch10: CVE-2019-3859-pre1.patch
Patch11: CVE-2019-3859-pre2.patch
Patch12: CVE-2019-3859-pre3.patch
Patch13: CVE-2019-3859-1.patch
Patch14: CVE-2019-3859-2.patch
Patch15: CVE-2019-3860.patch
Patch16: CVE-2019-3861.patch


%description
libssh2 is a library implementing the SSH2 protocol as defined by
Internet Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06)*,
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains libraries and header files for
developing applications that use %name.

%package docs
Summary: Documentation for %name
Group: Development/C
BuildArch: noarch
Requires: %name = %version-%release

%description docs
This package contains manual pages and examples for
developing applications that use %name.

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

%build
#autoreconf
./buildconf
%configure --disable-static --enable-shared
mkdir docdir
cp -al AUTHORS COPYING HACKING README NEWS example docdir/
%make_build

%install
%makeinstall_std
%define docdir %_docdir/%name-%version
mkdir -p %buildroot%docdir
cp -a docdir/* %buildroot%docdir/

%check
%make_build -k check

%files
%dir %docdir/
%docdir/[ACNR]*
%_libdir/*.so.*

%files docs
%dir %docdir/
%docdir/[He]*
%_mandir/man?/*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Fri Apr 19 2019 Aleksei Nikiforov <darktemplar@altlinux.org> 1.4.3-alt3.M80P.1
- Fixes:
  + CVE-2016-0787 Truncated Diffie-Hellman secret length
  + CVE-2019-3855 Possible integer overflow in transport read allows out-of-bounds write
  + CVE-2019-3856 Possible integer overflow in keyboard interactive handling allows out-of-bounds write
  + CVE-2019-3857 Possible integer overflow leading to zero-byte allocation and out-of-bounds write
  + CVE-2019-3858 Possible zero-byte allocation leading to an out-of-bounds read
  + CVE-2019-3859 Out-of-bounds reads with specially crafted payloads due to unchecked use of
    _libssh2_packet_require and _libssh2_packet_requirev
  + CVE-2019-3860 Out-of-bounds reads with specially crafted SFTP packets
  + CVE-2019-3861 Out-of-bounds reads with specially crafted SSH packets
  + CVE-2019-3862 Out-of-bounds memory comparison
  + CVE-2019-3863 Integer overflow in user authenicate keyboard interactive allows out-of-bounds writes

* Wed Nov 25 2015 Anton V. Boyarshinov <boyarsh@altlinux.org> 1.4.3-alt2
- CVE-2015-1782 fixed

* Mon Dec 03 2012 Slava Dubrovskiy <dubrsl@altlinux.org> 1.4.3-alt1
- New version

* Mon Jun 11 2012 Slava Dubrovskiy <dubrsl@altlinux.org> 1.4.2-alt1
- New version

* Fri Feb 03 2012 Slava Dubrovskiy <dubrsl@altlinux.org> 1.4.0-alt1
- New version

* Thu Sep 29 2011 Slava Dubrovskiy <dubrsl@altlinux.org> 1.3.0-alt1
- New version

* Sat Sep 03 2011 Slava Dubrovskiy <dubrsl@altlinux.org> 1.2.9-alt1
- New version
- Remove configure-fix-VERSION.patch (in upstream)

* Wed Apr 27 2011 Slava Dubrovskiy <dubrsl@altlinux.org> 1.2.8-alt1
- New version
- Add configure-fix-VERSION.patch

* Wed Mar 09 2011 Dmitry V. Levin <ldv@altlinux.org> 1.2.7-alt3
- Rebuilt for soname set-versions and debuginfo.

* Fri Oct 01 2010 Dmitry V. Levin <ldv@altlinux.org> 1.2.7-alt2
- Fixed packaging of documentation.
- Enabled SMP build support.
- Moved test suite to %%check.
- Uncompressed tarball.
- Cleaned up specfile.
- Built with libcrypto.so.10.

* Sun Sep 26 2010 Slava Dubrovskiy <dubrsl@altlinux.org> 1.2.7-alt1
- New version

* Tue Aug 03 2010 Slava Dubrovskiy <dubrsl@altlinux.org> 1.2.6-alt1
- New version

* Thu Feb 11 2010 Slava Dubrovskiy <dubrsl@altlinux.org> 1.2.3-alt1
- New version

* Sat Sep 12 2009 Slava Dubrovskiy <dubrsl@altlinux.org> 1.2-alt1
- New version

* Wed May 27 2009 Slava Dubrovskiy <dubrsl@altlinux.ru> 1.1-alt1
- Build for ALT
